#! /usr/bin/perl -w

use strict;
use Cache;
use Test;

BEGIN {plan tests => 6}

my $null = '';
my $str;


$str = `./check_ping 127.0.0.1 100 100 1000 1000 -p 1`;
ok $?>>8,0;
ok $str, '/PING ok - Packet loss = +[0-9]{1,2}\%, +RTA = [\.0-9]+ ms/';

$str = `./check_ping 127.0.0.1 0 0 0 0 -p 1`;
ok $?>>8,2;
ok $str, '/Packet loss = +[0-9]{1,2}\%, +RTA = [\.0-9]+ ms/';

$str = `./check_ping $Cache::nullhost 0 0 0 0 -p 1 -to 1`;
ok $?>>8,2;
#ok $str, '/^PING CRITICAL - Network unreachable \([-a-zA-Z0-9\.]+\)$/';
ok $str, '/(CRITICAL - Plugin timed out after 1 seconds|CRITICAL - Host Unreachable \([-a-zA-Z0-9\.]+\)|PING CRITICAL - Network unreachable \([-a-zA-Z0-9\.]+\)|PING CRITICAL - Packet loss = 100%)/';
