#! /usr/bin/perl -w

use strict;
use Cache;
use Test;

BEGIN {plan tests => 10}

my $null = '';
my $str;

$str = `./check_procs 100000 100000`;
ok $?>>8,0;
ok $str, '/^OK - [0-9]+ processes running$/';

$str = `./check_procs 100000 100000 Z`;
ok $?>>8,0;
ok $str, '/^OK - [0-9]+ processes running with /';

$str = `./check_procs 0 10000000`;
ok $?>>8,1;
ok $str, '/^WARNING - [0-9]+ processes running$/';

$str = `./check_procs 0 0`;
ok $?>>8,2;
ok $str, '/^CRITICAL - [0-9]+ processes running$/';

$str = `./check_procs 0 0 S`;
ok $?>>8,2;
ok $str, '/^CRITICAL - [0-9]+ processes running with /';
