#! /usr/bin/perl -w

use strict;
use Cache;
use Test;

BEGIN {plan tests => 6}

my $null = '';
my $str;

$str = `./check_swap 100 100`;
ok $?>>8,0;
ok $str, '/^Swap ok - Swap used\: +[0-9]{1,2}\% \([0-9]+ bytes out of [0-9]+\)$/';

$str = `./check_swap 0 0`;
ok $?>>8,2;
ok $str, '/^CRITICAL - Swap used\: +[0-9]{1,2}\% \([0-9]+ bytes out of [0-9]+\)$/';

$str = `./check_swap 100 100 1000000000 10000000000`;
ok $?>>8,2;
ok $str, '/^CRITICAL - Swap used\: +[0-9]{1,2}\% \([0-9]+ bytes out of [0-9]+\)$/';
