#! /usr/bin/perl -w

use strict;
use Cache;
use Test;

BEGIN {plan tests => 4}

my $null = '';
my $str;

$str = `./check_vsz 100000 1000000 init`;
ok $?>>8,0;
ok $str, '/^ok \(all VSZ\<[0-9]+\)/';

$str = `./check_vsz 0 0`;
ok $?>>8,2;
ok $str, '/^CRITICAL \(VSZ\>[0-9]+\)/';
