#! /usr/bin/perl -w

use strict;
use Cache;
use Test;

BEGIN {plan tests => 4}

my $null = '';
my $str;

$str = `./check_dns 127.0.0.1 -to 5`;
ok $?>>8,0;
ok $str, '/DNS ok - +[\.0-9]+ seconds response time, Address\(es\) is\/are 127\.0\.0\.1/';

$str = `./check_dns $Cache::nullhost -to 1`;
ok $?>>8,2;
ok $str, '/(DNS\s+)?(problem|CRITICAL)\s+-\s+(Probably a )?([Nn]on-existent host/domain|(Plugin|Connection) timed out after [0-9]+ seconds)/';
