#! /usr/bin/perl -w

#use strict;
use Cache;
use Test;

BEGIN {plan tests => 6}

my $null = '';
my $str;

$str = `./check_ftp $Cache::hostname -wt 300 -ct 600`;
ok $?>>8,0;
ok $str, '/FTP ok - [0-9]+ second response time/';

$str = `./check_ftp $Cache::noserver -wt 0 -ct 0`;
ok $?>>8,2;
ok $str, '/(Invalid FTP response received from host|Connection refused by host|Connection refused or timed out)/';

$str = `./check_ftp $Cache::nullhost -wt 0 -ct 0 -to 1`;
ok $?>>8,2;
ok $str, '/^(Connection refused or timed out|Socket timeout after 1 seconds)$/';
