#! /usr/bin/perl -w

use strict;
use Cache;
use Test;

BEGIN {plan tests => 4}

my $null = '';
my $str;


$str = `./check_http $Cache::hostname -wt 300 -ct 600`;
ok $?>>8,0;
ok $str, '/HTTP\/1.1 200 OK - [0-9]+ second response time/';

$str = `./check_http $Cache::nullhost -wt 1 -ct 2`;
ok $?>>8,2;
ok $str, '/(Connection refused by host|Network is unreachable|Connection refused or timed out|Socket timeout after [0-9]+ seconds|Unable to open TCP socket)$/'
